import { WriteStream } from 'node:fs';
import { W as WARCSerializerOpts$1, a as WARCSerializer$1, b as WARCRecord, S as SerializerInMemBuffer } from '../warcserializer-f885b47f.js';
import 'hash-wasm/dist/lib/WASMInterface.js';
import 'pako';
import '../utils-dfea30f1.js';

declare const DEFAULT_MEM_SIZE: number;
type WARCSerializerOpts = WARCSerializerOpts$1 & {
    maxMemSize?: number;
};
declare class WARCSerializer extends WARCSerializer$1 {
    static serialize(record: WARCRecord, opts?: WARCSerializerOpts): Promise<Uint8Array>;
    constructor(record: WARCRecord, opts?: WARCSerializerOpts);
}
declare class TempFileBuffer extends SerializerInMemBuffer {
    memSize: number;
    currSize: number;
    fh: WriteStream | null;
    filename: string;
    constructor(memSize?: number);
    write(chunk: Uint8Array): void;
    readAll(): AsyncIterable<Uint8Array>;
    purge(): Promise<void>;
}
declare function streamFinish(fh: WriteStream): Promise<void>;

export { DEFAULT_MEM_SIZE, TempFileBuffer, WARCSerializer, WARCSerializerOpts, streamFinish };
